'use strict';

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

// print a nicely formatted message with setup information
var startSimulatorAndPrintInfo = function () {
  var _ref = (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee() {
    var settings, address, _ref2, success, msg;

    return _regenerator2.default.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return _xdl.ProjectSettings.readPackagerInfoAsync(process.cwd());

          case 2:
            settings = _context.sent;
            address = 'exp://' + _address2.default.ip() + ':' + settings.exponentServerPort;


            console.log(_chalk2.default.blue('Starting simulator...'));
            _context.next = 7;
            return _xdl.Simulator.openUrlInSimulatorSafeAsync(address);

          case 7:
            _ref2 = _context.sent;
            success = _ref2.success;
            msg = _ref2.msg;


            if (success) {
              console.log(_chalk2.default.green('Packager and simulator started!') + '\n\nLogs from serving your app will appear here. Press Ctrl+C at any time to stop.\n\nIf you restart the simulator or change the simulated hardware, you may need to restart this process.\n');
            } else {
              console.log(_chalk2.default.red('Failed to start simulator:') + '\n\n' + msg + '\n\n' + _chalk2.default.red('Exiting...'));
              process.exit(0);
            }

          case 11:
          case 'end':
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function startSimulatorAndPrintInfo() {
    return _ref.apply(this, arguments);
  };
}();

var _xdl = require('xdl');

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _address = require('address');

var _address2 = _interopRequireDefault(_address);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _pathExists = require('path-exists');

var _pathExists2 = _interopRequireDefault(_pathExists);

var _packager = require('../util/packager');

var _packager2 = _interopRequireDefault(_packager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_xdl.Config.validation.reactNativeVersionWarnings = false;
_xdl.Config.developerTool = 'crna';
_xdl.Config.offline = true;

var command = _pathExists2.default.sync(_path2.default.join(process.cwd(), 'yarn.lock')) ? 'yarnpkg' : 'npm';

if (!_xdl.Simulator.isPlatformSupported()) {
  console.log(_chalk2.default.red('\nThis command only works on macOS computers with Xcode and the iOS simulator installed.'));
  console.log(_chalk2.default.yellow('If you run `' + _chalk2.default.cyan(command + ' start') + '` then you can view your app on a physical device.\n'));
  process.exit(1);
}

_packager2.default.run(startSimulatorAndPrintInfo);
//# sourceMappingURL=../__sourcemaps__/scripts/ios.js.map
